package com.mdd.admin.validate.setting;

import com.mdd.admin.vo.setting.SettingCopyrightVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;

@ApiModel("版权信息设置参数")
public class SettingCopyrightValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("版权列表")
   private List<SettingCopyrightVo> list;

   public List<SettingCopyrightVo> getList() {
      return this.list;
   }

   public void setList(List<SettingCopyrightVo> list) {
      this.list = list;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingCopyrightValidate)) {
         return false;
      } else {
         SettingCopyrightValidate other = (SettingCopyrightValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$list = this.getList();
            Object other$list = other.getList();
            if (this$list == null) {
               if (other$list != null) {
                  return false;
               }
            } else if (!this$list.equals(other$list)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingCopyrightValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $list = this.getList();
      result = result * 59 + ($list == null ? 43 : $list.hashCode());
      return result;
   }

   public String toString() {
      return "SettingCopyrightValidate(list=" + this.getList() + ")";
   }
}
